<form autocomplete="off" class="tormenta20" data-aprimoramento-id="{{aprimoramento._id}}">
	<div class="form-group aprimoramento-custo">
		<label for="objeto">Aplicável em</label>
		<select name="objeto" class="objeto-select">
			{{#select aprimoramento.objeto}}
			<option value="self">Neste Item</option>
			<option value="attack">Armas Ataque</option>
			<option value="attackm">Armas Ataque Corpo a Corpo</option>
			<option value="attackr">Armas Ataque A Distância</option>
			<option value="damage">Armas Dano</option>
			<option value="damagem">Armas Dano Corpo a Corpo</option>
			<option value="damager">Armas Dano A Distância</option>
			<option value="abilities">Atributos</option>
			<option value="ability">Atributo Escolhidos</option>
			<option value="consumables">Consumiveis</option>
			<option value="spells">Magias</option>
			<option value="skills">Pericias</option>
			<option value="skill">Pericias Escolhidas</option>
			<option value="powers">Poderes</option>
			{{/select}}
		</select>
	</div>
	<div class="form-group aprimoramento-objeto-selection {{selmulti}}">
		<label for="objeto-selection">Selecionados</label>
		<select name="objselected" class="objeto-selection" multiple>
			{{#select aprimoramento.objselected}}
			{{#if (eq aprimoramento.objeto "ability")}}
				{{#each config.atributos as |value key|}}
				<option value="{{key}}">{{value}}</option>
				{{/each}}
			{{/if}}
			{{#if (eq aprimoramento.objeto "skill")}}
				{{#each config.pericias as |value key|}}
				<option value="{{key}}">{{value}}</option>
				{{/each}}
			{{/if}}
			{{/select}}
		</select>	
	</div>
	<div class="form-group aprimoramento-custo">
		<label for="custo">Custo</label>
		<input type="text" name="custo" value="{{aprimoramento.custo}}">
	</div>
	<div class="form-group aprimoramento-tipo">
		<label for="tipo">Tipo</label>
		<select name="tipo">
			{{#select aprimoramento.tipo}}
			{{#if (eq actor.type "magia")}}
			<option value="Truque">Truque</option>
			{{/if}}
			<option value="Muda">Muda</option>
			<option value="Aumenta">Aumenta</option>
			<option value="Adiciona">Adiciona</option>
			<option value="Outros">Outros</option>
			{{/select}}
		</select>
	</div>
	<div class="form-group aprimoramento-formula">
		<label for="formula" class="tooltip">Rolagem <i class="fas fa-question-circle"></i>
		<div class="tooltipcontent">Use este campo para alterar a rolagem da magia. Exemplos:
					<br><br>"d8": Mudará 2d6 para 2d8;
					<br><br>"1d8": Substituirá a rolagem padrão por 1d8
					<br><br>"1d8+1": (Aumenta) Aumentarará a quantidade de dados rolados para cada aplicação do aprimoramento.
					<br><br>"-": Não rolará dados.
				</div></label>
		<input type="text" name="formula" value="{{aprimoramento.formula}}">
	</div>

	<div class="form-group aprimoramento-description">
		<label for="description">Descrição</label>
		<textarea name="description">{{aprimoramento.description}}</textarea>
	</div>  
	<div class="form-group aprimoramento-ativo">
		<label class="checkbox">
			<input type="checkbox" name="ativo" {{checked aprimoramento.ativo}}> Aplicar Sempre?
		</label>
	</div>
	<input type="hidden" name="_id" value="{{aprimoramento._id}}">
	<button type="submit" id="btn-submit"><i class="far fa-save"></i>Salvar</button>
</form>
